Sign a multisig transaction | Algorand Developer Portal

Sign a multisig transaction

POST

/v1/multisig/sign

Start a multisig signature, or add a signature to a partially completed multisig signature object.

Authorizations

Request Body

The list of MIME types the operation can consume application/json

APIV1POSTMultisigTransactionSignRequest is the request for POST /v1/multisig/sign

object

partial_multisig
MultisigSig is the structure that holds multiple Subsigs

object

Subsigs
Array

MultisigSubsig is a struct that holds a pair of public key and signatures signatures may be empty

object

Key
PublicKey is an exported ed25519PublicKey

Array

Sig
Classical signatures
A Signature is a cryptographic signature. It proves that a message was produced by a holder of a cryptographic secret.

Array

Threshold
integer format: uint8

Version
integer format: uint8

public_key
PublicKey is an exported ed25519PublicKey

Array

signer
Digest represents a 32-byte value holding the 256-bit Hash digest.

Array

transaction
string format: byte

wallet_handle_token
string

wallet_password
string

Responses

200

Response to POST /v1/multisig/sign

The list of MIME types the operation can produce application/json

APIV1POSTMultisigTransactionSignResponse is the response to POST /v1/multisig/sign

friendly: SignMultisigResponse

object

error
boolean

message
string

multisig
string format: byte